# Update subaccount IP assignments

#### Description
Links and/or unlinks dedicated IPs to/from one or more subaccounts in a single operation.
IPs linked to subaccounts can be linked to subaccount domains and placed in subaccount IP pools.
The account must have the centralized IP assignment feature enabled.
Either subaccount_id (one or more) or all_subaccounts=true must be specified, but not both.
When all_subaccounts=true or over 100 subaccounts are specified, the operation is applied to every subaccount asynchronously
and the response will contain 'queued' instead of 'success'.
Rules for linking an IP:
The IP must be a dedicated IP belonging to the parent account.
The IP must not be assigned to a Dynamic IP Pool on the parent account.
Rules for unlinking an IP:
The IP must not be assigned to any IP pools on the subaccount.
The IP must not be assigned to any domains on the subaccount.
#### Request Schema
Request parameters are encoded as form data.
| Name | Description | Required | Type |
|  --- | --- | --- | --- |
| subaccount_id | Id of a subaccount to update (may be specified multiple times). Required unless all_subaccounts is true. | false | string |
| all_subaccounts | When true, applies the operation to all subaccounts of the parent account asynchronously. Cannot be combined with subaccount_id. | false | string |
| link_ip | Dedicated IP address to link to the subaccount (may be specified multiple times) | false | string |
| unlink_ip | Dedicated IP address to unlink from the subaccount (may be specified multiple times) | false | string |

Endpoint: PATCH /v3/ips/subaccounts
Version: 3.0.0
Security: basicAuth

## Description:

  - `Description` ()
    Links and/or unlinks dedicated IPs to/from one or more subaccounts in a single operation.IPs linked to subaccounts can be linked to subaccount domains and placed in subaccount IP pools.The account must have the centralized IP assignment feature enabled. Either subaccount_id (one or more) or all_subaccounts=true must be specified, but not both.When all_subaccounts=true or over 100 subaccounts are specified, the operation is applied to every subaccount asynchronouslyand the response will contain 'queued' instead of 'success'. Rules for linking an IP:The IP must be a dedicated IP belonging to the parent account.The IP must not be assigned to a Dynamic IP Pool on the parent account. Rules for unlinking an IP:The IP must not be assigned to any IP pools on the subaccount.The IP must not be assigned to any domains on the subaccount.

  - `Request Schema` ()
    Request parameters are encoded as form data. NameDescriptionRequiredTypesubaccount_idId of a subaccount to update (may be specified multiple times). Required unless all_subaccounts is true.falsestringall_subaccountsWhen true, applies the operation to all subaccounts of the parent account asynchronously. Cannot be combined with subaccount_id.falsestringlink_ipDedicated IP address to link to the subaccount (may be specified multiple times)falsestringunlink_ipDedicated IP address to unlink from the subaccount (may be specified multiple times)falsestring

## Security:

  - `basicAuth` (unknown)
    http basic

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 403:

  - `403` (unknown)
    A 403 response

## Response 403 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

## Response 403 examples:

  - `Example` (unknown)

## Response 404 examples:

  - `Example` (unknown)

